Novell Home

Daylight Savings Time - JRE Update

Novell Cool Solutions: Cool Tool

Digg This - Slashdot This

In Brief

This package will copy the DST files to the SYS:\TID\DST folder for servers that meets the requirements.

Vitals

Product Categories:
  • NetWare
  • Open Enterprise Server
  • Functional Categories:
  • SPK
  • Posted:9 Mar 2007
    File Size:7KB
    License:Free
    Download:/coolsolutions/tools/downloads/2007DST-JRE-UPDATE.spk
    Publisher:Thad Andrews

    Disclaimer

    Please read the note from our friends in legal before using this file.


    Details

    Notes / Prep Work:

    • **DSTSHIFT will run ONLY on NetWare versions 4.12, 5.1, 6.0, 6.5, and OES NetWare only
    • **TZupdater will run ONLY on NetWare 6.0 and 6.5 with JVM 1.4.x.

    Overview:

    This package will copy the DST files to the SYS:\TID\DST folder for servers that meets the requirements. Once the files are copied, it will load the DSTSHIFT.NLM and evaluate the time zone for the server. If that server needs to be updated, the autoexec.ncf will be updated automatically and logged to SYS:\TID\DSTLOG.TXT

    The DSTSHIFT utility makes all necessary changes on standard NetWare servers, takes effect immediately and does not require a server re-boot.

    Also, this package will copy the required files for the JAVA Runtime Environment time change needs. The TZupdater.jar will create new time zone information directory structure for JAVA. The existing time zone data directory will be renamed from SYS:\JAVA\LIB\ZI to SYS:\JAVA\LIB\ZI.tzdata2003a. This directory can be deleted at a later time. The TZupdater.jar file makes all necessary changes to JAVA Runtime Environment 1.4.x

    Assumptions:

    You are running a minimum of Novell NetWare 4.1.2 and the server is not an OES Linux server for the DSTSHIFT portion of this package.

    For the Tzupdater portion, that you are running Novell NetWare 6.0, 6.5 or OES (NetWare) with a java version of 1.42_09 at a minimum.

    Requirements:

    Run DSTSHIFT NLM requirements are set to Netware, Greater than or Equal to 4.1.2

    COPY TZupdater.jar and RUN TZupdater.jar both require Novell NetWare 6.0 and 6.5 running a JVM 1.4.x version.

    Variables:

    • Global - N/A
    • Subscriber Specific - N/A
    • SPK Specific - N/A

    Novell Cool Solutions (corporate web communities) are produced by WebWise Solutions. www.webwiseone.com

    © 2014 Novell